@font-face {
    font-family: 'SpaceGrotesk-VariableFont_wght', sans-serif;
    src: url('../fonts/SpaceGrotesk-VariableFont_wght.ttf') format('ttf');
    font-weight: normal;
    font-style: normal;
  }
  
@font-face {
    font-family: 'WorkSans', sans-serif;
    src: url('../fonts/WorkSans-VariableFont_wght.ttf') format('ttf');
    font-weight: normal;
    font-style: normal;
}

body{
    padding: 0px;
    font-weight: 400;
    font-family: "Work Sans", sans-serif;;
    font-size: 18px;
    width: 100%;
    height: 100%;
    margin: 0;
    /* was curious and googled if it was hard to change the cursor but ended up beign so simple so wanted to try it out for fun */
    cursor: url('../images/cursor.svg'), auto;
  } 

.navbar {
    background-color: #D32F7E;
    overflow: auto;
    align-items: center;
    padding-left: 80px;
    padding-top: 20px;
  }

.pageHeading {
    flex-direction:column;
    align-items: left;
    color: white;
    font-family: "Space Grotesk", sans-serif;
    font-weight: bold;
    font-size: 64px;
}

.logo {
    display: flex;
    min-height: 5%;
    min-width: 10%;
}
  
nav a {
    float: left;
    text-align: center;
    padding: 12px;
    color: white;
    text-decoration: none;
    font-size: 17px;
}
.dropdown {
    float: left;
    overflow: hidden;
  }

i {
    color: white;
    position: relative;
}
  
  /* Dropdown hovering button */
.dropdown .dropdown-button {
    font-size: 16px;
    border: none;
    outline: none;
    color: white;
    padding: 14px 16px;
    /* used a tutorial which explained the inherit function which allows what chosen to take the same value from the parent instead having to code it again */ 
    background-color: inherit;
    font-family: inherit;
    margin: 0;
}
  
  /* hide the items inside the drop down item in the navbar */
.dropdown-item {
    display: none;
    position: absolute;
    background-color:  #D32F7E;;
    min-width: 160px;
    box-shadow: 0px 8px 16px 0px rgba(0,0,0,0.2);
    z-index: 1;
}
  
  /* pages inside the dropdown button */
.dropdown-item a {
    float: none;
    color: rgb(255, 255, 255);
    padding: 12px 16px;
    text-decoration: none;
    display: block;
    text-align: left;
}
  
.dropdown-item a:hover {
    background-color: white;
    color: #D32F7E;
}
  
  /* menu items pop up when hovering on "projects" */
.dropdown:hover .dropdown-item {
    display: block;
}

.intro img {
    width: 100%;
}

section {
    display: grid;
    grid-template-columns: repeat(12, 1fr);
    grid-template-rows: repeat(3, auto);
    grid-gap: 20px;
}

.backgroundText {
    grid-column-start: 2;
    grid-column-end: 12;
    grid-row-start: 2;
    grid-row-end: 4;
}

.smallIntro {
    color: white;
    grid-column-start: 3;
    grid-column-end: 11;
    grid-row-start: 2;
    grid-row-end: 3;
}

h4 {
    padding: 10px 80px;
}

.gallery-grid {
    display: grid;
    grid-template-columns: repeat(12, 1fr);
    grid-template-rows: repeat(19, auto);
    grid-gap: 20px;
}

.thumbnail img{
    width: 100%;
}

#img1 {
    grid-column-start: 2;
    grid-column-end: 5;
    grid-row-start: 1;
    grid-row-end: 3;
}


#img2 {
    grid-column-start: 5;
    grid-column-end: 7;
    grid-row-start: 1;
    grid-row-end: 2;
}

#img3 {
    grid-column-start: 7;
    grid-column-end: 9;
    grid-row-start: 1;
    grid-row-end: 2;
}

#img4 {
    grid-column-start: 9;
    grid-column-end: 12;
    grid-row-start: 1;
    grid-row-end: 3;
}

#img5 {
    grid-column-start: 2;
    grid-column-end: 5;
    grid-row-start: 3;
    grid-row-end: 6;
}

#img6 {
    grid-column-start: 5;
    grid-column-end: 9;
    grid-row-start: 2;
    grid-row-end: 6;
}

#img7 {
    grid-column-start: 9;
    grid-column-end: 12;
    grid-row-start: 3;
    grid-row-end: 6;
}

#img8 {
    grid-column-start: 2;
    grid-column-end: 6;
    grid-row-start: 6;
    grid-row-end: 11;
}

#img9 {
    grid-column-start: 6;
    grid-column-end: 12;
    grid-row-start: 6;
    grid-row-end: 12;
}

#img10 {
    grid-column-start: 2;
    grid-column-end: 6;
    grid-row-start: 11;
    grid-row-end: 15;
}

#img11 {
    grid-column-start: 6;
    grid-column-end: 12;
    grid-row-start: 12;
    grid-row-end: 15;
}

#img12 {
    grid-column-start: 2;
    grid-column-end: 5;
    grid-row-start: 15;
    grid-row-end: 19;
}

#img13 {
    grid-column-start: 5;
    grid-column-end: 9;
    grid-row-start: 15;
    grid-row-end: 19;
}

#img14 {
    grid-column-start: 9;
    grid-column-end: 12;
    grid-row-start: 15;
    grid-row-end: 19;
}

footer {
    display: flex;
    justify-content: space-between;
    align-items: center;
    background-color: #D32F7E;
    padding: 10px 80px;
    color: white;
  }
  
  .social-icons {
    display: flex;
    gap: 10px;
  }
  
  .social-icons a {
    display: inline-block;
    width: 24px;
    height: 24px;
  }
  
  .social-icons img {
    width: 100%;
    height: auto;
    display: block;
  }